sc::TwoBodyGrid(3)

NAME
sc::TwoBodyGrid -

Class TwoBodyGrid describes a set of coordinates of 2 particles.

SYNOPSIS

#include <twobodygrid.h>

Inherits sc::SavableState.

  Public Member Functions
TwoBodyGrid (StateIn &)
TwoBodyGrid (const Ref< KeyVal > &)
The KeyVal constructor.
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
const std::string & name () const
int nelem () const
const SCVector3 & origin () const
SCVector3 xyz1 (int i, const SCVector3 &O=SCVector3(0.0)) const
Cartesian coordinates of particle 1 at grid point i with respect to origin O.
SCVector3 xyz2 (int i, const SCVector3 &O=SCVector3(0.0)) const
Cartesian coordinates of particle 2 at grid point i with respect to origin O.
SCVector3 rtp1 (int i, const SCVector3 &O=SCVector3(0.0)) const
Spherical polar coordinates of particle 1 at grid point i with respect to origin O.
SCVector3 rtp2 (int i, const SCVector3 &O=SCVector3(0.0)) const
Spherical polar coordinates of particle 2 at grid point i with respect to origin O.
void print (std::ostream &o=ExEnv::out0()) const
Prints out this.

  Additional Inherited Members

Detailed Description

Class TwoBodyGrid describes a set of coordinates of 2 particles.

Member Function Documentation

  void sc::TwoBodyGrid::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::SavableState.

Author

Generated automatically by Doxygen for MPQC from the source code.